> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bevor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# get chat messages

> retrieve the messages of a chat thread



## OpenAPI

````yaml /api-reference/openapi.json get /chats/{chat_id}/messages
openapi: 3.0.0
info:
  title: BevorAI API
  version: 1.0.0
servers: []
security: []
tags:
  - name: project
    description: Managing projects, which are used to group code versions
  - name: code
    description: >-
      Used for retrieving or creating smart contract references. Required for
      creating analyses.
  - name: analysis
    description: Managing security analyses
  - name: chat
    description: Chat functionality for interacting with audit results
paths:
  /chats/{chat_id}/messages:
    get:
      tags:
        - chat
      summary: get chat messages
      description: retrieve the messages of a chat thread
      parameters:
        - name: chat_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  results:
                    items:
                      $ref: '#/components/schemas/ChatMessageSchema'
                    title: Results
                    type: array
                title: ResultsResponse[ChatMessageSchema]
                type: object
        '400':
          description: Error Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - BearerAuth: []
components:
  schemas:
    ChatMessageSchema:
      properties:
        id:
          title: Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        chat_id:
          title: Chat Id
          type: string
        chat_role:
          type: string
        message:
          title: Message
          type: string
        tools:
          items:
            $ref: '#/components/schemas/ToolCall'
          title: Tools
          type: array
        code_mapping_id:
          title: Code Mapping Id
          type: string
        analysis_node_id:
          type: string
      required:
        - id
        - created_at
        - chat_id
        - chat_role
        - message
        - code_mapping_id
      title: ChatMessageSchema
      type: object
    ApiError:
      properties:
        code:
          enum:
            - auth.session_expired
            - auth.session_revoked
            - auth.session_invalid
            - auth.user_does_not_exist
            - auth.invalid_team_membership
            - auth.unauthorized
            - auth.key_revoked
            - auth.key_invalid
            - auth.payment_required
            - error.not_found
            - error.validation
            - error.server
            - error.invalid_scope
            - error.limit
            - error.entity_deletedcompiler.error
            - compiler.validation_error
            - compiler.authorization_error
            - compiler.not_found_error
            - compiler.invalid_version_error
            - compiler.old_version_error
            - explorer.contract_not_verified_error
            - explorer.contract_not_found_error
            - explorer.contract_fetch_error
            - compiler.internal_error
            - compiler.binary_error
            - compiler.compiler_error
            - ast.invalid_node
            - ast.invalid_reference
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - code
        - message
      title: ApiError
      type: object
    ToolCall:
      properties:
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        args:
          additionalProperties: true
          title: Args
          type: object
        is_pending_approval:
          default: false
          title: Is Pending Approval
          type: boolean
      required:
        - id
        - name
        - args
      title: ToolCall
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key in Bearer token format

````